<!DOCTYPE html>
{%load static %}
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes List | Lab 4</title>
    <link rel="stylesheet" href="{% static 'css/lab4.css' %}" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
    <body>
      <nav class="navbar fixed-top navbar-dark bg-dark">
        <a class="navbar-brand">Lab 4</a>
        <form class="form-inline">
          <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/'">Note Table</button>
          <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/note-list/'">Note Card</button>
          <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/add-note/'">Compose New Note</button>        </form>
      </nav>
      <br><br><br>
      <div id="header"><b>Note Table</b></div>
      <div id="outer">
        <table class="table table-bordered">
          <div id="tableHeader">
            <thead class="table table-dark">
            <tr>
              <th><b>Addresser</b></th>
              <th><b>Addressee</b></th>
              <th><b>Title</b></th>
              <th><b>Message</b></th>
            </tr>
          </thead>
          </div>
          <div id="tableText">
            {% for n in notes %}
            <tr>
              <td>{{n.addresser}}</td>
              <td>{{n.addressee}}</td>
              <td>{{n.title}}</td>
              <td>{{n.message}}</td>
            </tr>
            {% endfor %}
          </div>
        </table>
      </div>
    </body>
</html>
